Get Artifacts

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /artifacts
  • /:artifact_Id

Get a specific artifact by ID

Request

REQUIRED SCOPES
ARTIFACT_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

artifact_Idrequiredstring
The Artifact ID

Example: "x5169jL2"

Response

RESPONSE BODY
typestring enum
The type of artifact
Allowed enum:
CONTAINER,
BUCKET,
NPM,
COMPOSER
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The unique ID of the artifact
subtypestring enum
The subtype of the artifact. GH_RELEASE artifacts have their versions synced from GitHub releases. Only GH_RELEASE can be set on create
Allowed enum:
STORYBOOK,
GH_RELEASE
namestring
The display name of the artifact
identifierstring
The human-readable identifier of the artifact
scopestring enum
The scope level of the artifact
Allowed enum:
WORKSPACE,
PROJECT,
ENVIRONMENT
sizeinteger
Total size of all artifact versions in bytes
projectShortProjectView
Short representation of a project
environmentShortEnvironmentView
authorizationAuthorizationView
Artifact authorization configuration. Password is only used in requests and not returned in responses. BASIC authorization can only be used with FILES type artifacts.
permissionsArtifactPermissionsView
Artifact permissions configuration
allowed_pipelinesAllowedPipelineView[]
List of pipelines allowed to access this artifact
pipelines_access_levelstring enum
Set to true to allow all pipelines to use this artifact
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of sandboxes allowed to access this package
sandboxes_access_levelstring enum
Default access level for all sandboxes
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
created_datestring
Artifact creation timestamp
retention_rulesArtifactRetentionRuleView[]
List of retention rules for automatic cleanup of artifact versions
integrationIntegrationIdView
Integration reference
external_project_idstring
Repo slug of the GitHub repository whose releases are synced, e.g. owner/repo. Only for GH_RELEASE artifacts
include_draftsboolean
Set to true to sync draft releases. Only for GH_RELEASE artifacts
include_prereleasesboolean
Set to true to sync pre-releases. Only for GH_RELEASE artifacts
notestring
Note for this resource
agent_notestring
YAML note for AI agents operating on this resource

Last modified on Jun 29, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_Id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"

Response examples

Get artifact
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions", "id": "x5169jL2", "name": "Shared Library Artifact", "identifier": "shared-lib", "type": "CONTAINER", "scope": "WORKSPACE", "authorization": { "type": "NONE" }, "permissions": { "others": "READ_ONLY" }, "size": 2147483648, "created_date": "2024-01-10T08:20:00Z", "note": "Notes about this resource", "agent_note": "my_custom_field: note for agent" }
STATUS
200 Artifact retrieved successfully
Get GH release artifact
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions", "id": "x5169jL2", "name": "My GitHub Releases", "identifier": "my-github-releases", "type": "BUCKET", "subtype": "GH_RELEASE", "scope": "WORKSPACE", "authorization": { "type": "BUDDY" }, "permissions": { "others": "READ_ONLY" }, "integration": { "url": "https://api.buddy.works/workspaces/ttests", "html_url": "https://app.buddy.works/ttests/-/workspace/integrations", "identifier": "my-github-integration", "hash_id": "NLVaDzgp6W2qJljaQlJOoYdmZ3", "name": "GitHub Integration", "type": "GIT_HUB", "auth_type": "TOKEN" }, "external_project_id": "my-org/my-repo", "include_drafts": false, "include_prereleases": true, "size": 1048576, "created_date": "2024-01-10T08:20:00Z" }
STATUS
200 Artifact retrieved successfully